## python-tempestconf 2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
six>=1.10.0 # MIT
tempest>=14.0.0 # Apache-2.0
requests>=2.10.0,!=2.12.2 # Apache-2.0
openstacksdk>=0.11.3 # Apache-2.0
oslo.config>=3.23.0 # Apache-2.0
PyYAML>=3.12 # MIT

=== doc/requirements.txt ===
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=1.8.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
sphinx-argparse>=0.2.2 # MIT

=== debian/changelog ===
python-tempestconf (2.5.0-4) unstable; urgency=medium

  * Add use-yaml.safe_load.patch (Closes: #1022078).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Nov 2022 11:34:49 +0100

python-tempestconf (2.5.0-3) unstable; urgency=medium

  * Removed --with python2.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Jan 2022 09:09:18 +0100

python-tempestconf (2.5.0-2) unstable; urgency=medium

  * Fix wrong d/copyright.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Jan 2022 09:43:19 +0100

python-tempestconf (2.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #1003441).

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Feb 2019 23:56:51 +0100

=== debian/control ===
Source: python-tempestconf
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
Build-Depends-Indep:
 python3-mock,
 python3-openstacksdk,
 python3-os-client-config (>= 1.26.0),
 python3-oslo.config (>= 3.23.0),
 python3-oslotest,
 python3-requests,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 tempest,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-tempestconf
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-tempestconf.git
Homepage: https://github.com/openstack/python-tempestconf

Package: python3-tempestconf
Architecture: all
Depends:
 python3-openstacksdk,
 python3-os-client-config (>= 1.26.0),
 python3-oslo.config (>= 3.23.0),
 python3-pbr (>= 1.8),
 python3-requests,
 python3-six,
 python3-tempest,
 python3-yaml,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Description: automatic tempest configuration
 python-tempestconf will automatically generate the tempest configuration based
 on your cloud.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-tempestconf.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_build:
	echo "Nothing here..."

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 '--test-path ./config_tempest/tests'
endif

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-tempestconf 3.5.1

=== requirements.txt ===
--- 
+++ 
@@ -8,4 +8,5 @@
 requests>=2.10.0,!=2.12.2 # Apache-2.0
 openstacksdk>=0.11.3 # Apache-2.0
 oslo.config>=3.23.0 # Apache-2.0
+tenacity>=5.1.1
 PyYAML>=3.12 # MIT

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinx-argparse>=0.2.2 # MIT
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-tempestconf (3.5.1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Fixed upstream URL in d/rules, d/control and d/copyright.

  [ Guillaume Boutry ]
  * New upstream release.
  * Now packaging 3.5.1 (epoxy).
  * Added myself in copyright and uploaders.
  * d/control: Align (Build-)Depends with upstream.
  * d/patches/*: Drop patches, applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:58:03 +0100

python-tempestconf (2.5.0-7) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090624).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:25:02 +0100

python-tempestconf (2.5.0-6) unstable; urgency=medium

  * Add use-ConfigParser-not-SafeConfigParser.patch. (Closes: #1058190)

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2023 09:07:49 +0100

python-tempestconf (2.5.0-5) unstable; urgency=medium

  * Cleans better (Closes: #1047969).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:32:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Guillaume Boutry <boutryguillaume1@gmail.com>,
 Build-Depends:
  debhelper (>= 11),
  dh-python,
@@ -12,16 +13,15 @@
  python3-pbr (>= 1.8),
  python3-setuptools,
 Build-Depends-Indep:
- python3-mock,
  python3-openstacksdk,
  python3-os-client-config (>= 1.26.0),
  python3-oslo.config (>= 3.23.0),
  python3-oslotest,
  python3-requests,
- python3-six,
  python3-stestr,
  python3-subunit,
  python3-tempest,
+ python3-tenacity,
  python3-testscenarios,
  python3-testtools,
  python3-yaml,
@@ -29,7 +29,7 @@
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-tempestconf
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-tempestconf.git
-Homepage: https://github.com/openstack/python-tempestconf
+Homepage: https://opendev.org/openinfra/python-tempestconf
 
 Package: python3-tempestconf
 Architecture: all
@@ -39,7 +39,6 @@
  python3-oslo.config (>= 3.23.0),
  python3-pbr (>= 1.8),
  python3-requests,
- python3-six,
  python3-tempest,
  python3-yaml,
  tempest,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openinfra/python-tempestconf
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info tempest.log
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_build:
	echo "Nothing here..."

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 '--test-path ./config_tempest/tests'
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
